function  [data_hull,sources] = get_reduced_graph_weights_sources(data,hull)

data_hull.hull = hull;

affinity_hull = cell(1,size(hull,1));
weights_hull = zeros(1,size(hull,1))';
% av_hull = zeros(1,size(hull,1))';


for i=1:size(hull,1)
    affinity_hull{i} = find(all(hull - repmat(hull(i,:),size(hull,1),1) >= 0,2));
    temp = 1;
%     temp_av = 1;
    if all(hull(i,:)==1)
        weights_hull(i) = data.weight0;
%         av_hull(i) = data.weight0;% should be changed 'ideally'
    else
        weights_hull(i) = data.weightA^(sum(hull(i,:)-1));
%         for j=1:data.T
%             temp = temp * data.weightA^(hull(i,j)-1); %can be made efficient if all tasks have same d_v at first level
%         end
        
        %         if (av_change==2)
%             temp_av = data.weightB^(sum(hull(i,:)-1));
%         else
%             temp_av = data.weightB*(sum(hull(i,:)-1));
%         end
%         weights_hull(i) = temp;

    end
end

if nargout>1
    sources = compute_sources(hull,data.qs);
end

data_hull.weights = weights_hull;
data_hull.affinity = affinity_hull;
% data_hull.av = av_hull;
