function [activeHull] = indexActiveHull(active, affs,inverted)

p =length(affs);
% store descendents
mat = zeros(p,p);
for i=1:p
    mat(i,affs{i}) = 1;
end

% get ancestors
dffs = cell(p,1);
for i=1:p
    dffs{i} = find(mat(:,i)==1);
end

%get hull
activeHull = zeros(p,1);
for i = active' %ROW vector should be given
    activeHull(dffs{i}) = 1;
end

activeHull = find(activeHull);
if inverted
    if (activeHull(1)~=1)
        fprintf('[indexActiveHull] WARNING\n');
        fprintf('[indexActiveHull] Inverted lattice, top node not chosen in the initial active set\n');
        activeHull = [1;activeHull];
    end
end
% keyboard;