function  [data_hull,sources] = update_reduced_graph_weights_sources(data,data_hull,sources,addhull_sources)

initial_hull = data_hull.hull;
hull = data_hull.hull ;
addhull = sources(addhull_sources,:);

hull = [ hull;  addhull];

% get affinity structure
affinity_hull = cell(1,size(hull,1));
weights_hull = zeros(1,size(hull,1))';

for i=1:size(hull,1)
    affinity_hull{i} = find(all(hull - repmat(hull(i,:),size(hull,1),1) >= 0,2));
    temp = 1;
%     temp_av = 1;
    if all(hull(i,:)==1)
        weights_hull(i) = data.weight0;
%         av_hull(i) = data.weight0;% should be changed 'ideally'
    else
        for j=1:data.T
            temp = temp * data.weightA^(hull(i,j)-1);
%             temp_av = temp_av * data.weightB^(hull(i,j)-1);
        end
%         if (av_change==2)
%             temp_av = data.weightB^(sum(hull(i,:)-1));
%         else
%             temp_av = data.weightB*(sum(hull(i,:)-1));
%         end

        weights_hull(i) = temp;
%         av_hull(i) = temp_av;
    end
end

qs=data.qs;
save temphull hull qs initial_hull sources addhull_sources;

% update sources
sources = update_sources(qs,sources,addhull_sources);

data_hull.weights = weights_hull;
data_hull.hull = hull;
data_hull.affinity = affinity_hull;
% data_hull.av = av_hull;

